There is infomation on this site which states if you get the error "Codecs Not supported" it can be rectified by downloading the most up to date client. I have found this not to be the case after downloading the most up to date client from this site i am still getting the error "Codecs not supported" when i login and when i change channels. If anyone could shed some light on this issue i would be very grateful.